95 Commits (master)

Author SHA1 Message Date
Hakim El Hattab 94d98ff7d8 3.9.2 security release 3 years ago
Hakim El Hattab eaf3988311 3.9.1 because a local edit made it into npm 3 years ago
Hakim El Hattab 8a54118f43 npm audit fix 😶 3 years ago
Hakim El Hattab 45f468ccc4 3.9.0 3 years ago
Hakim El Hattab 7a169732de upgrade to node-sass 4.13.0, fix security warnings #2473 3 years ago
Aurélien Normand 0935462706
Update package.json for node 12 support 3 years ago
Hakim El Hattab 3da09f1fef 3.8.0 4 years ago
Hakim El Hattab 2734aa3da0 fix grunt ci error 4 years ago
Hakim El Hattab e6fa04d485 fix typos 4 years ago
Hakim El Hattab 29ea072ddf fix npm security warnings, auto run tests when changed 4 years ago
Hakim El Hattab 213023760a build dependency updates 4 years ago
Hakim El Hattab 4a8899e520 see if increased node version fixes build 4 years ago
Hakim El Hattab 5ae2d3eb1e update grunt dependencies 4 years ago
Hakim El Hattab 205ef8fdcc fix scss compilation task 4 years ago
Hakim El Hattab baac3413ed upgrade to socket.io 2.2.0 #2257 4 years ago
Hakim El Hattab 2c5396b7d3 3.7.0 4 years ago
Benjamin Tan f9d0766637 Update QUnit to 2.5.0 and `grunt-contrib-qunit` to 2.0.0. 5 years ago
Benjamin Tan f0fa6fb226 Update `grunt-contrib-uglify`. 5 years ago
Benjamin Tan e382d5cfab Update dependencies. 5 years ago
Hakim El Hattab 65bdccd580 lab.hakim.se/reveal-js -> revealjs.com 5 years ago
Hakim El Hattab 8a63686017 3.6.0 5 years ago
Benjamin Tan b294323854 Upgrade Grunt dependencies and standardise on a consistent file format. 6 years ago
Hakim El Hattab 8e93a1ddf9 3.5.0 6 years ago
Hakim El Hattab 9f8e4d5742 3.4.1 6 years ago
Hakim El Hattab fb8414f4cb 3.4.0 6 years ago
Benjamin Tan 22de402888 Shift `dependencies` to `devDependencies`. 6 years ago
Benjamin Tan 713702a0ab Reduce required Node.js version to 4.0.0. 6 years ago
Benjamin Tan 03ac4a2e8e Reduce required Node.js version to 4.0.0. 6 years ago
Hakim El Hattab b4d46d2b7c update dependencies to work with latest node #1743 6 years ago
Henrik Feldt a8586b3ab3 Bump node engine in packages.json 6 years ago
CH 2cf00254a1 renamed grunt 'base' option to 'root' (#1660) 6 years ago
Hakim El Hattab 541bcf2123 update dependencies based on retire.js info #1473 6 years ago
Quentin Bramas 338a7b0ff9 add 'npm build' script that launch grunt 6 years ago
Hakim El Hattab 539e774d31 3.3.0 7 years ago
Benjamin Tan 9eb56f8146 Remove unused dependencies. 7 years ago
Bjoern Kimminich 7621e1085d added retire.js to build process 7 years ago
Victor Powell 4881281ea1 Add the grunt-cli as a dependency instead of assuming global grunt. 7 years ago
Bjoern Kimminich de4efa5d19 updated to mustache 2.2.1 7 years ago
Bo-Yi Wu 07affa2750 remove redundant spaces. 7 years ago
Hakim El Hattab 822a9c937c 3.2.0 7 years ago
Adam Huffman ef1402e645 Update dependencies to fix installation 7 years ago
Jason Karns 071a523f42 `licenses` field is deprecated 7 years ago
Jason Karns 018ca77406 enabling launching presentation with npm-start 7 years ago
Hakim El Hattab eff2265bbd 3.1.0 7 years ago
Hakim El Hattab ce798c4bac update cssmin to 0.12.2 #1179 8 years ago
Alexandre Stanislawski e02f0488bb Make npm dependency usable by Browserify through NPM 8 years ago
Hakim El Hattab 028c84481a revise contribution guidelines, graduate 3.0 from dev 8 years ago
Hakim El Hattab eec72c1491 update grunt connect for more hostname flexibility #981 8 years ago
Hakim El Hattab 5123ba4372 update grunt-qunit 8 years ago
Hakim El Hattab 6565ba0168 use node.js 0.10 8 years ago